QCPCurveData Class Reference
Author: Emanuel Eichhammer

· · · ·
Public Functions | Public Members | Static Public Functions
QCPCurveData Class Reference

Holds the data of one single data point for QCPCurve. More...

## Public Functions
| QCPCurveData ()
| QCPCurveData (double t, double key, double value)
double | sortKey () const
double | mainKey () const
double | mainValue () const
QCPRange | valueRange () const

## Public Members
double | t
double | key
double | value

## Static Public Functions
static QCPCurveData | fromSortKey (double sortKey)
static bool | sortKeyIsMainKey ()

## Detailed Description

Holds the data of one single data point for QCPCurve.

The stored data is:

- t: the free ordering parameter of this curve point, like in the mathematical vector (x(t), y(t)). (This is the sortKey)
- key: coordinate on the key axis of this curve point (this is the mainKey)
- value: coordinate on the value axis of this curve point (this is the mainValue)

The container for storing multiple data points is QCPCurveDataContainer. It is a typedef for QCPDataContainer with QCPCurveData as the DataType template parameter. See the documentation there for an explanation regarding the data type's generic methods.

See also
  QCPCurveDataContainer

## Constructor & Destructor Documentation

## ◆ QCPCurveData() [1/2]

QCPCurveData::QCPCurveData | ( |  | ) |

Constructs a curve data point with t, key and value set to zero.

## ◆ QCPCurveData() [2/2]

QCPCurveData::QCPCurveData | ( | double | t,
|  | double | key,
|  | double | value
| ) |  |

Constructs a curve data point with the specified t, key and value.

## Member Function Documentation

## ◆ sortKey()

double QCPCurveData::sortKey | ( |  | ) | const
| inline

Returns the t member of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ fromSortKey()

static QCPCurveData QCPCurveData::fromSortKey | ( | double | sortKey | ) |
| inlinestatic

Returns a data point with the specified sortKey (assigned to the data point's t member). All other members are set to zero.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ sortKeyIsMainKey()

static static bool QCPCurveData::sortKeyIsMainKey | ( |  | ) |
| inlinestatic

Since the member key is the data point key coordinate and the member t is the data ordering parameter, this method returns false.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ mainKey()

double QCPCurveData::mainKey | ( |  | ) | const
| inline

Returns the key member of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ mainValue()

double QCPCurveData::mainValue | ( |  | ) | const
| inline

Returns the value member of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

## ◆ valueRange()

QCPRange QCPCurveData::valueRange | ( |  | ) | const
| inline

Returns a QCPRange with both lower and upper boundary set to value of this data point.

For a general explanation of what this method is good for in the context of the data container, see the documentation of QCPDataContainer.

The documentation for this class was generated from the following files:

- src/plottables/plottable-curve.h
- src/plottables/plottable-curve.cpp